# -*- coding: utf-8 -*-
"""
Created on Fri Mar  6 17:25:21 2020

@author: Vinod
Layerheight calculated using mapa_profile_monthly_diurnal.py
"""
import os
import numpy as np
import matplotlib.pyplot as plt

layerh_hcho = [0.44025192801087337,0.53249613249613248,0.52684171685257453,0.65530131901813315,0.6193906324625279,0.68575348256623148,0.65300300300300296,0.75174826394338579,0.63060057054051044,0.51942644732018539,0.3919466844949826,0.28066496808039432]
layerh_hcho_std = [0.491015615011615,0.49697905039087187,0.40454860959068112,0.42008582766695723,0.3456713677162338,0.40010781899919978,0.42769429041825346,0.44295147615443292,0.34658521432347777,0.35975810217599519,0.33125211121358672,0.31487045587207574]
layerh_hcho_sem = [0.021308262730980541,0.019344883299984503,0.013330329908271538,0.019759175229925111,0.019760716829203336,0.025254581598796379,0.027607547734298233,0.026146598917232911,0.013429904262874942,0.011081288915283228,0.010047173058195191,0.011582696953471259]
layerh_hcho_25 = [0.30811979587874128,0.32028392028392028,0.26257745258831028,0.28292894664576079,0.24701826009015554,0.25532305213580103,0.32567567567567562,0.29729380948893136,0.26623620617614607,0.25115817905191712,0.21977451232281042,0.18657087398630023]
layerh_hcho_75 = [0.086274598515653056,0.14818454818454818,0.11780292779207013,0.13749147377465964,0.17940816633627088,0.14307534626259732,0.18783783783783792,0.22522871303359115,0.15818821824827833,0.1442372163434783,0.12056582801752991,0.055671368255941989]

layerh_aod = [0.26977055548484119,0.36235193526860193,0.45945739553986975,0.96288288288288282,1.0396015350698131,1.092871469255233,1.0469546469546471,1.1032461032461034,0.90528284782730739,0.53289873134566845,0.32773235168444748,0.20415833932443325]
layerh_aod_std = [0.22223944092424608,0.28381916362381576,0.33266930461737743,0.45132588414199104,0.37343271897049524,0.38894039312991235,0.44611524823219206,0.36165144822385159,0.37737417515739674,0.2704368779024785,0.24048034054705134,0.18311000144786432]
layerh_aod_sem = [0.0088054472492617511,0.01024144190746153,0.010681367640656093,0.020708251785043,0.020525718566024725,0.023626446296583694,0.027666893205339396,0.020607003758526515,0.013957688067554134,0.007943724897944239,0.0070335134562647611,0.0061973345922566817]
layerh_aod_25 = [0.15765844337272908,0.19818777110443778,0.22322115930363351,0.32224224224224218,0.21878071424899226,0.28005865644242023,0.27918687918687934,0.24739024739024762,0.25263019517465479,0.19255839100532812,0.17958420353629934,0.10806224322833716]
layerh_aod_75 = [0.078577792863507134,0.11112153820487153,0.12913119304871878,0.24632632632632645,0.17361167814340006,0.2364578600740963,0.26535766535766525,0.25611325611325597,0.20582826328380377,0.13977394132700416,0.10470008074798498,0.052097916931823002]

layerh_no2 = [0.23311099878756644,0.28592481370259148,0.37864046664926759,0.57393296911369196,0.55477551129725045,0.57937006774216071,0.49568596937017989,0.56993980281651513,0.53215236676186128,0.44296258082048112,0.26949880422763389,0.15446253099064836]
layerh_no2_std = [0.17838698728654556,0.19354182469178716,0.26591411295959289,0.35525922214771971,0.3260428568448685,0.30322383088334626,0.24184162156925443,0.2554042196114758,0.28887336250018331,0.23581892344905855,0.17168182593203679,0.13208819321030066]
layerh_no2_sem = [0.0072464760108751063,0.0072128779416697226,0.0088198143932164998,0.017438989340189295,0.018855545257431872,0.018877891134969713,0.01538801388578708,0.0149464014310298,0.011304488230494467,0.0076793207227015461,0.0052956950143869357,0.0046183553717007858]
layerh_no2_25 = [0.13601390169046934,0.14578467356245134,0.17844026644906741,0.24560464078536365,0.21843917496091414,0.21300370137579433,0.19938967307388361,0.16653639941311171,0.20382403843353297,0.16668630454420486,0.13336266809149777,0.082390458918576284]
layerh_no2_75 = [0.075197309520741856,0.094455566677788871,0.10184001383121288,0.1587997636190408,0.12990917338743424,0.12533463696254399,0.15896868528447466,0.15578592290921056,0.1525323179228234,0.13761799976009947,0.098869564140734501,0.045737669209551829]

pblh = [0.7170072653903896, 0.9616559347977112, 1.3141093122454857, 2.3310088142554846, 2.830426783819514, 2.040314818345613, 1.0210324985850727, 0.9445708149981814, 1.2183849302698266, 1.6394884979859166, 1.1201491186603656, 0.757926269932014]
pblh_25 = [0.1598404072989574, 0.25726854293015083, 0.41270219592080876, 0.5981540379100998, 0.54461120726119816, 0.6090969040757368, 0.17644759068478436, 0.14928555865174145, 0.15059795560217548, 0.21404563374631858, 0.22434198932981075, 0.14439188807206801]
pblh_75 = [0.13367674558869544, 0.19310382657991215, 0.33912837976013294, 0.48556152139252889, 0.52131159953712358, 0.55614536900560596, 0.14507785249841915, 0.10099177305615274, 0.19989655110035209, 0.21205882755866104, 0.20244274662447742, 0.13108817048018603]
errorbar_pblh = [pblh_25, pblh_75]

#amb_temp = [15.75905962,  20.49714296,  25.81759093,  32.56481343, 36.88289526,  34.0495684 ,  32.20731702,  31.35756168, 31.65959902,  30.4447588 ,  25.68096143,  18.68167514]
#amb_temp_25 = [ 2.56905962,  1.64089296,  2.08634093,  2.06043843,  1.73539526, 2.5170684 ,  1.86731702,  1.67881168,  0.49959902,  1.3460088 , 1.30596143,  1.60417514]
#amb_temp_75 = [ 3.16094038,  1.87535704,  2.36240907,  2.12831157,  2.36710474, 2.8891816 ,  1.91205798,  1.89243832,  1.28040098,  1.6989912 , 1.34403857,  3.14082486]
fig,ax = plt.subplots(figsize=[11, 5])
errorbar_no2 = [layerh_no2_25, layerh_no2_75]
errorbar_aod = [layerh_aod_25, layerh_aod_75]
errorbar_hcho = [layerh_hcho_25, layerh_hcho_75]
ax.errorbar(np.arange(0.9,12.9,1), layerh_aod, yerr=errorbar_aod, ls='--', c='olive', label='Aerosol H$_{75}$', capsize=4)
ax.errorbar(np.arange(1,13,1), layerh_no2, yerr=errorbar_no2, ls='--', c='slategrey', label='NO$_2$ H$_{75}$', capsize=4)
ax.errorbar(np.arange(1.1,13.1,1), layerh_hcho, yerr=errorbar_hcho, ls='--', c='orange', label='HCHO H$_{75}$', capsize=4)
ax.errorbar(np.arange(1.15,13.15,1), pblh, yerr=errorbar_pblh, ls='--', c='b', label='BLH', capsize=4, alpha=0.5)

#ax.set_xlim(ax.get_xlim())
## pblh
#ax2 = ax.twinx()
#ax2.set_ylabel('Boundary layer height (km)')
#ax2.errorbar(np.arange(1.15,13.15,1), pblh, yerr=errorbar_hcho, ls='--', c='y', label='BLH', capsize=4, alpha=0.5)
#ax.errorbar(100*np.arange(1.05,13.05,1), layerh_hcho, yerr=errorbar_hcho, ls='--', c='y', label='BLH', capsize=4, alpha=0.5)
# sfc_temp
#ax2 = ax.twinx()
#ax2.set_ylabel('Ambient temperature ($^{\circ}C$)')
#ax2.errorbar(np.arange(1.15,13.15,1), amb_temp, yerr=errorbar_hcho, ls='--', c='y', label='Amb_temp', capsize=4, alpha=0.5)
#ax2.set_ylim(7, 40)
#ax.errorbar(100*np.arange(1.05,13.05,1), layerh_hcho, yerr=errorbar_hcho, ls='--', c='y', label='Amb_temp', capsize=4, alpha=0.5)

ticks = np.arange(1,13,1)
ax.xaxis.set_ticks(ticks)
labels = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec']
ax.xaxis.set_ticklabels(labels)
plt.minorticks_on()
plt.minorticks_off()
ax.tick_params(axis='x', which='minor', bottom=False)
ax.minorticks_on()
ax.grid(axis='y', alpha=0.4)
ax.legend(loc='upper left', prop = {'size':12})
ax.set_ylabel('Height (Km)', size=12)
ax.annotate('B)', xy=(0.9, 0.9), xycoords="axes fraction")
plt.tight_layout()
plt.savefig(os.path.join(r'D:\postdoc\DOAS\Mohali_2013_17\sf_0.8','Profile_height_blh_v5_percentile.png'), format='png', dpi=300)